import sys

# Zavolali jsme program s nějakými parametry?
if len(sys.argv) == 1:
    # NE => vypíšeme nápovědu a ukončíme program
    print(f'Usage: {sys.argv[0]} ČÍSLO')
    sys.exit()

# ANO => můžeme zpracovat vstup (je na druhém místě seznamu)
n = sys.argv[1]
print('OK:', n, type(n))
# pokusíme se převést parametr z řetězce na (celé) číslo
try:
    n = int(n)
except ValueError:
    # konverze selhala, uživatel asi nezadal číslo
    print(f'Usage: {sys.argv[0]} ČÍSLO')
    sys.exit()
finally:
    # tento blok se provede vždy
    print('FINALLY:', n, type(n))

print('OK, můžeme pracovat.')
...
